/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
import java.awt.*;

class SquareVertex extends Vertex
{
    public SquareVertex(double x, double y)
    {
	super(x, y);
	z = 66;
    }

    public void draw(Graphics g, DrawingArea drawArea) 
    {
	Vertex v = drawArea.transform(x, y);
	
	g.setColor(Color.yellow);
	g.drawRect(Math.round((float)(v.x - DrawingArea.nodeSizeDiv2)), 
		   Math.round((float)(v.y - DrawingArea.nodeSizeDiv2)), 
		   DrawingArea.nodeSize, 
		   DrawingArea.nodeSize);
	g.drawString("("+Util.textOf(x, 2)+", "+Util.textOf(y, 2)+", "+Util.textOf(z, 2)+")",
		     Math.round((float)(v.x+5)),
		     Math.round((float)(v.y+5)));	    
	    

    }

    public void mouseDragged(double x, double y, Vertex anchor, 
			     int modifier) 
    {
	super.mouseDragged(x, y, anchor, modifier);
	if(Beacon.snap)
	    Beacon.snapAll();
    }

}
